Retrieve a single User

Retrieve a single user by id.

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hrisProfileOidstringRequired
Retrieve a single user by id.

Response

Successful operation.
emailslist of objects
nameobject
schemaslist of enums
Allowed values:
userNamestring
User's work email.
activebooleanDefaults to false
Hiring status. True if user employment is active. False if employment is not active.
addresseslist of objects
idstring

Unique resource id (UUID) defined by Deel.

metaobject
Resource metadata.
titlestring
Job title.
urn:ietf:params:scim:schemas:extension:2.0:Userobject
urn:ietf:params:scim:schemas:extension:enterprise:2.0:Userobject
userTypestring
User type.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error